## kpat 4.13.0

=== CMakeLists.txt ===
project( kpat )

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames 4.9.0 REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})
endif(NOT COMPILING_KDEGAMES)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libkcardgame/include )

add_subdirectory( icons )
add_subdirectory( libkcardgame )
add_subdirectory( mimetypes )
add_subdirectory( previews )
add_subdirectory( sounds )
add_subdirectory( themes )
add_subdirectory( doc )

set( kpat_SRCS
    main.cpp
    dealer.cpp
    dealerinfo.cpp
    gameselectionscene.cpp
    mainwindow.cpp
    messagebox.cpp
    numbereddealdialog.cpp
    patpile.cpp
    pileutils.cpp
    renderer.cpp
    soundengine.cpp
    statisticsdialog.cpp
    view.cpp
    patsolve/memory.cpp
    patsolve/patsolve.cpp

    clock.cpp 
    patsolve/clocksolver.cpp
    fortyeight.cpp
    patsolve/fortyeightsolver.cpp
    freecell.cpp 
    patsolve/freecellsolver.cpp
    golf.cpp
    patsolve/golfsolver.cpp
    grandf.cpp
    patsolve/grandfsolver.cpp
    gypsy.cpp
    patsolve/gypsysolver.cpp
    idiot.cpp
    patsolve/idiotsolver.cpp
    klondike.cpp
    patsolve/klondikesolver.cpp
    mod3.cpp
    patsolve/mod3solver.cpp
    simon.cpp
    patsolve/simonsolver.cpp
    spider.cpp
    patsolve/spidersolver.cpp
    yukon.cpp
    patsolve/yukonsolver.cpp
)

kde4_add_ui_files( kpat_SRCS statisticsdialog.ui )
kde4_add_kcfg_files( kpat_SRCS settings.kcfgc )
kde4_add_app_icon( kpat_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kpat.png" )
kde4_add_executable( kpat ${kpat_SRCS} )
target_link_libraries( kpat kcardgame kdegames ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS} )
install( TARGETS kpat ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kpat.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kpatui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kpat )
install( FILES kpat.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

## kpat 4.10.0

=== debian/changelog ===
kpat (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:00:50 +0000

kpat (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:49:13 +0000

kpat (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:40:38 +0100

kpat (4:4.9.95-0ubuntu1~ubuntu13.04~ppa2) raring; urgency=low

  * Install to /usr/games
  * Version dependency on kdegames-data
  * New upstream RC release
  * Add build-dep on shared-mime-info

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:37:04 +0000

kpat (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:03:06 +0000

=== debian/control ===
Source: kpat
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools,
               shared-mime-info,
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kpat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-card-data (>= ${source:Upstream-Version}),
 kdegames-data (>= ${source:Upstream-Version})
Replaces: kajongg (<< 4:4.6.2-0ubuntu2)
Breaks: kajongg (<< 4:4.6.2-0ubuntu2)
Description: solitaire card games 
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 4.10.2

=== debian/changelog ===
kpat (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:54:34 +0200

kpat (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:35:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
                shared-mime-info,
 Standards-Version: 3.9.3

## kpat 4.11.2

=== debian/changelog ===
kpat (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:35:27 +0100

kpat (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:29:04 +0100

kpat (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:24:41 +0100

kpat (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:46:15 +0100

kpat (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:53 +0000

kpat (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:20:30 +0100

kpat (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:30:02 +0100

kpat (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Add not-installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:39:42 +0100

kpat (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:49 +0000

kpat (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Apr 2013 10:04:06 +0200

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2),
 shared-mime-info
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kpat.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kpat.git

Package: kpat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-card-data (>= 4:4.10)
Recommends: khelpcenter4
Description: solitaire card games 
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 4.11.3

=== debian/changelog ===
kpat (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:00:17 +0000

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
+ libkdegames-dev (>= 4:4.11.3),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kpat.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kpat.git

## kpat 4.12.3

=== debian/changelog ===
kpat (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:43:48 +0100

kpat (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:02:17 +0100

kpat (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:10:29 +0000

kpat (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:25:57 +0000

kpat (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:20:05 +0000

kpat (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:20:11 +0000

kpat (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:17:31 +0100

kpat (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.3),
- libkdegames-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkdegames-dev (>= 4:4.12.3),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kpat.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kpat.git

## kpat 4.13.0

=== debian/changelog ===
kpat (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:11:36 +0100

kpat (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:36:48 +0200

kpat (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:37:55 +0100

kpat (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:08:41 +0000

kpat (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.12.3),
- libkdegames-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/

## kpat 4.13.1

=== debian/changelog ===
kpat (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 10:18:56 +0200

kpat (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:22 +0200

kpat (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:17 +0100

kpat (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:29 +0100

kpat (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:10 +0100

kpat (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:29:20 +0200

kpat (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 00:15:23 +0200

kpat (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:54:28 +0200

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14),
               shared-mime-info
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kpat.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kpat.git

Package: kpat
Architecture: any
Depends: kdegames-card-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 4.14.1

=== debian/changelog ===
kpat (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:27:55 +0200

kpat (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:19:19 +0200

kpat (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:02:22 +0200

kpat (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:29:04 +0200

kpat (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add not-installed file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:23:03 +0200

kpat (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:04:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,14 +14,16 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kpat.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kpat.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kpat
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kpat.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kpat.git
 
 Package: kpat
 Architecture: any

## kpat 4.14.2

=== debian/changelog ===
kpat (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:56:07 +0200

kpat (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:56:49 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kpat-([\d\.]*).tar.xz

## kpat 14.12.3

=== debian/changelog ===
kpat (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:34:37 -0700

kpat (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 16:43:55 +0100

kpat (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:38:06 -0800

kpat (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes: not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:42 +0100

kpat (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:56:49 -0700

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.0),
               pkg-kde-tools (>= 0.14),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kpat.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kpat.git

Package: kpat
Architecture: any
Depends: kdegames-card-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kpat-([\d.]+).tar.xz

## kpat 15.08.2

=== debian/changelog ===
kpat (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:39:47 +0100

kpat (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:16:13 +0100

kpat (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:22 +0100

kpat (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:51:16 +0100

kpat (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:16:45 +0200

=== debian/control ===
Source: kpat
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kdoctools-dev,
               kgendesignerplugin,
               kinit-dev,
               kio-dev,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5emoticons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdegames-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5unitconversion-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
               qtdeclarative5-dev,
               shared-mime-info
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kpat.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kpat.git

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 15.12.3

=== CMakeLists.txt ===
project( kpat )

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 REQUIRED COMPONENTS 
    CoreAddons 
    Config 
    WidgetsAddons 
    Config 
    DBusAddons 
    Declarative
    I18n 
    GuiAddons 
    ConfigWidgets 
    ItemViews 
    IconThemes 
    Completion 
    TextWidgets
    XmlGui
    KIO
    NotifyConfig
    NewStuff
    DocTools
    KDELibs4Support
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

find_package(Phonon4Qt5)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libkcardgame/include )

add_subdirectory( icons )
add_subdirectory( libkcardgame )
add_subdirectory( mimetypes )
add_subdirectory( previews )
add_subdirectory( sounds )
add_subdirectory( themes )
add_subdirectory( doc )

set( kpat_SRCS
    main.cpp
    dealer.cpp
    dealerinfo.cpp
    gameselectionscene.cpp
    mainwindow.cpp
    messagebox.cpp
    numbereddealdialog.cpp
    patpile.cpp
    pileutils.cpp
    renderer.cpp
    soundengine.cpp
    statisticsdialog.cpp
    view.cpp
    patsolve/memory.cpp
    patsolve/patsolve.cpp

    clock.cpp 
    patsolve/clocksolver.cpp
    fortyeight.cpp
    patsolve/fortyeightsolver.cpp
    freecell.cpp 
    patsolve/freecellsolver.cpp
    golf.cpp
    patsolve/golfsolver.cpp
    grandf.cpp
    patsolve/grandfsolver.cpp
    gypsy.cpp
    patsolve/gypsysolver.cpp
    idiot.cpp
    patsolve/idiotsolver.cpp
    klondike.cpp
    patsolve/klondikesolver.cpp
    mod3.cpp
    patsolve/mod3solver.cpp
    simon.cpp
    patsolve/simonsolver.cpp
    spider.cpp
    patsolve/spidersolver.cpp
    yukon.cpp
    patsolve/yukonsolver.cpp
)

ki18n_wrap_ui( kpat_SRCS statisticsdialog.ui )
kconfig_add_kcfg_files( kpat_SRCS settings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kpat.png")
ecm_add_app_icon(kpat_SRCS ICONS ${ICONS_SRCS})
add_executable( kpat ${kpat_SRCS} )
target_link_libraries( kpat kcardgame KF5KDEGames KF5::KIOCore Phonon::phonon4qt5 KF5::I18n KF5::DBusAddons KF5::KDELibs4Support)
install( TARGETS kpat ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kpat.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kpatui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kpat )
install( FILES kpat.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpat (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:42:53 -0700

kpat (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * No-change rebuild against libkf5kdegames7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Mar 2016 22:33:31 +0100

kpat (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:59:30 +0100

kpat (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:10 +0100

kpat (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:10:41 +0000

kpat (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:52 +0100

kpat (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:46 +0200

kpat (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:56 +0200

kpat (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 09:34:29 +0200

kpat (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:59 +0200

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kio-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kpat.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kpat.git

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 16.04.3

=== debian/changelog ===
kpat (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Add package-must-activate-ldconfig-trigger lintian override

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:57 +0200

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5guiaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kdegames-dev (>= 4:16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 16.08.1

=== doc/CMakeLists.txt ===
########### install files ###############
#
#

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kpat)

=== debian/changelog ===
kpat (4:16.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:12:46 +0200

kpat (4:16.04.0-2) unstable; urgency=medium

  * Add new libkcardgame.so lintian-override

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 16:32:58 +0200

kpat (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:43:48 +0200

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev (>= 5.15.0~),
               kio-dev,
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5declarative-dev,
               libkf5doctools-dev (>= 5.15.0~),
               libkf5guiaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev (>= 5.15.0~),
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5notifyconfig-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               shared-mime-info
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kpat.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kpat.git

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 16.12.3

=== debian/changelog ===
kpat (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:15 +0000

kpat (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:53 +0000

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 17.04.3

=== debian/changelog ===
kpat (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:09 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:16.12.3~),
+               libkf5kdegames-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
@@ -48,6 +48,8 @@
 Architecture: any
 Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: solitaire card games
  KPatience is a collection of fourteen solitaire card games, including Klondike,
  Spider, and FreeCell.

## kpat 17.12.3

=== debian/changelog ===
kpat (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:56 +0000

kpat (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:54 +0000

kpat (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:55 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:17.04.3~),
+               libkf5kdegames-dev (>= 4:17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kpat-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kpat-([\d.]+).tar.xz
